*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #091921;
}

.clock{

    width:1600px;
    height:1600px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(clock.png);
    background-size: cover;
    border: 4px solid #091921;
    border-radius: 50%;
    box-shadow: 0 -25px 25px rgba(255,255,255,0.05),
                inset 0 -25px 25px rgba(255,255,255,0.05),
                0 -25px 35px rgba(0,0,0,0.05),
                inset 0 -25px 25px rgba(0,0,0,0.05);
}

.clock:before
{
    content: '';
    position:absolute;
    width: 45px;
    height: 45px;
    background: #fff;
    border-radius: 50%;
    z-index: 10000;
}

.clock .hour,
.clock .min,
.clock .second {
    position:absolute;
}

.clock .hour, .hr
{
    width: 160px;
    height: 650px;
}

.clock .min, .mn
{
    width: 160px;
    height:860px;
    
}

.clock .second, .sc
{
    width: 160px;
    height:1060px;

}

.hr ,.mn, .sc
{
    display: flex;
    justify-content: center;
    position:absolute;
    border-radius: 50%;
}

.hr:before
{
    content: '';
    position:absolute;
    width:  26px;
    height: 350px;
    background: #ff105e;
    z-index: 10;
    border-radius: 15px 15px 0 0;
}
.mn:before
{
    content: '';
    position:absolute;
    width:  15px;
    height: 450px;
    background: #ff105e;
    z-index: 10;
    border-radius: 15px 15px 0 0;
}
.sc:before
{
    content: '';
    position:absolute;
    width:  9px;
    height: 600px;
    background: #fff;
    z-index: 10;
    border-radius: 15px 15px 0 0;
}